2024-03-04 23:19 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006302HellrunMachine[All Projects] Generalpublic2023-12-02 11:43
ReporterVelociraptor5 
Assigned ToStingRayProject InfoHellrun Machine (Amiga Fun)
http://www.whdload.de/games/HellrunMachine.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0006302: Joystick doesn't work and editor crashes
DescriptionThis game has 2 problems:
1)
Joystick doesn't work if chosen, instead of that, you can control incorrectly by keyboard.
If keyboard is chosen, that's OK, you control correctly by keyboard

2)
Editor doesn't work, if chosen, it crashes as:
Exception "Illegal instruction" ($10) at $46088 occured (error message for 68020)


This all was tested again with disk version SPS2035 (what was used for the install) with the same configuration and here everything works, that means:
1) Joystick works
2) Editor works

Tested on 68000/020. Problem is independent of WinUAE compatibility settings.
File "whdl_register" (at least) attached.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.9
imported
Attached Files
  • ? file icon .whdl_register (2,803 bytes) 2023-11-23 14:20 -
    ************************* 23-Nov-23 14:08:22 ************************18.9.6601***
    Slave='HellrunMachine.slave' (1252 bytes)
    Resload   4FFE10A0 - 4FFE7A74 (  27092) at 4FFE10A0  GL=$4FFE7B80
    Slave     4FFFF028 - 4FFFF4E8 (   1216) at 4FFFF028  BaseMemSize=$80000
    attn=203(20) fc=-1 kn=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($10) at $46088 occurred.
    
    $0004605e negx.b       d0
    $00046060 dc.w         $007f
    $00046062 move.l       d0,d0
    $00046064 btst         d0,(a5)+                       ;$a5a5a5a6
    $00046066 addq.b       #8,d0
    $00046068 ori.b        #0,d0
    $0004606c ori.b        #0,d0
    $00046070 ori.b        #0,d0
    $00046074 ori.b        #0,d0
    $00046078 ori.b        #0,d0
    $0004607c btst         d0,(a5)+                       ;$a5a5a5a6
    $0004607e negx.b       d0
    $00046080 cmp2.b       (a6),d3                        ;$a6a6a6a6
    $00046084 movep.w      ($5000,a5),d0                  ;$a5a5f5a6
    1m$00046088 ori.l        #$80000000,a7
    22m$0004608e ori.b        #0,d0
    $00046092 ori.b        #0,d0
    $00046096 ori.b        #0,d0
    $0004609a ori.b        #??$d,d0
    $0004609e negx.b       d0
    $000460a0 cmp2.b       (a6),d3                        ;$a6a6a6a6
    $000460a4 btst         d0,(a5)+                       ;$a5a5a5a6
    $000460a6 addq.b       #8,d0
    $000460a8 ori.b        #0,d0
    $000460ac ori.b        #0,d0
    $000460b0 ori.b        #0,d0
    $000460b4 ori.b        #0,d0
    $000460b8 ori.b        #0,d0
    $000460bc ori.b        #0,d0
    
    exception stackframe:
    $0007FFF4 27110004 60880010
    regular stack:
    $0007FFFC 000100AC
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0      FFFF         1      FFFF   9400001         0        45  D7D7D7D7
    Ax    38000     38000  A2A2A2A2  A3A3A3A3  A4A4A4A4  A5A5A5A6  A6A6A6A6
    
                     TTSM III   XNZVC
    PC=   4608822m  SR=%0010011100010001  USP=7FC00  1mISP=7FFF4  MSP=7F800
    VBR=4FFE8B80  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%100000000000000022m dmacon=%1m0010001110110000 adkcon=$1100
    intreq=%1000011111100000
    vposr....A300  vhposr...02BB  joy0dat..A6B6  joy1dat..0000  clxdat...8000  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.00F8  hhposr...0040  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00021F  icr=00  sdr=00    event=0297E7  icr=00  sdr=00
    
    ? file icon .whdl_register (2,803 bytes) 2023-11-23 14:20 +

-Relationships
+Relationships

-Notes

note ~0013377

StingRay (developer)

Confirmed. I have started to rewrite to complete patch.

note ~0013382

StingRay (developer)

Last edited: 2023-11-27 18:54

View 2 revisions

Control problem was caused by register trashing in the old patch, the editor wasn't patched at all. I have fully rewritten the patch, all the mentioned problems are fixed. I need to test a bit more, if no problems occur, the updated V2.0 patch will be available in the next days.

note ~0013383

Velociraptor5 (reporter)

Thanks for info and for that work.

note ~0013389

StingRay (developer)

I have finished the update. The editor is fully supported and all mentioned problems have been fixed.

note ~0013390

Velociraptor5 (reporter)

Works perfectly. Good job, as usually :)

note ~0013399

StingRay (developer)

Thanks for good bug reports and the positive feedback, appreciated. :)
+Notes

-Issue History
Date Modified Username Field Change
2023-11-23 14:20 Velociraptor5 New Issue
2023-11-23 14:20 Velociraptor5 File Added: .whdl_register
2023-11-23 14:26 Velociraptor5 CPUSpeed 50 => 14
2023-11-23 14:29 StingRay Assigned To => StingRay
2023-11-23 14:29 StingRay Status new => assigned
2023-11-26 18:12 StingRay Note Added: 0013377
2023-11-27 11:13 StingRay Note Added: 0013382
2023-11-27 14:36 Velociraptor5 Note Added: 0013383
2023-11-27 18:54 StingRay Note Edited: 0013382 View Revisions
2023-11-29 20:05 StingRay Note Added: 0013389
2023-11-29 20:05 StingRay Status assigned => resolved
2023-11-29 20:05 StingRay Resolution open => fixed
2023-11-30 03:29 Velociraptor5 Note Added: 0013390
2023-12-02 11:43 StingRay Note Added: 0013399
+Issue History